# hyperdata [![Build Status](http://img.shields.io/travis/alexmingoia/hyperdata.svg?style=flat)](http://travis-ci.org/alexmingoia/hyperdata) [![Code Coverage](http://img.shields.io/coveralls/alexmingoia/hyperdata.svg?style=flat)](https://coveralls.io/r/alexmingoia/hyperdata) [![NPM version](http://img.shields.io/npm/v/hyperdata.svg?style=flat)](https://www.npmjs.org/package/hyperdata) [![Dependency Status](http://img.shields.io/david/alexmingoia/hyperdata.svg?style=flat)](https://david-dm.org/alexmingoia/hyperdata)

> Data representation framework for the
> [Linked Data](https://en.wikipedia.org/wiki/Linked_Data_Platform).

- Build web applications composed of Linked Data using
  [hyperobject](https://github.com/alexmingoia/hyperobject) models.
- Interact with these models in node.js and the browser using a common API.
- Use modules to provide persistence, web services, etc.
- Build functionality around common vocabularies, such as a validation plugin
  for schema.org types.
- Truly modular, composed entirely of small interoperable modules that
  can be swapped-out for others.

## Installation

Install using [npm](https://www.npmjs.org/):

```sh
npm install hyperdata
```
Install using [bower](http://bower.io/):

```sh
bower install hyperdata
```

Using browser script tag and global (UMD wrapper):

```html
// Available via window.hyperdata
<script src="dist/hyperdata.js"></script>
```

## Contributing

Please submit all issues and pull requests to the [alexmingoia/hyperdata](http://github.com/alexmingoia/hyperdata) repository!

## Tests

Run tests using `npm test` or `gulp test`.

## Code coverage

Generate code coverage using `gulp coverage` and open `coverage.html` in your
web browser.

## Support

If you have any problem or suggestion please open an issue [here](https://github.com/alexmingoia/hyperdata/issues).
