/*!
 * hyperdata
 * https://github.com/alexmingoia/hyperdata
 */

'use strict';

/**
 * - Build web applications composed of Linked Data using
 *   [hyperobject](https://github.com/alexmingoia/hyperobject) models.
 * - Interact with these models in node.js and the browser using a common API.
 * - Use modules to provide persistence, web services, etc.
 * - Build functionality around common vocabularies, such as a validation plugin
 *   for schema.org types.
 * - Truly modular, composed entirely of small interoperable modules that
 *   can be swapped-out for others.
 *
 * @module hyperdata
 */

module.exports = {
  Resource: require('hyperobject')
};
